Subject: RE: linux-next: manual merge of the input tree with the s5p tree

From: Kukjin Kim <[email-masked]>
Date: Fri, 06 Aug 2010 14:15:07 +0900

Joonyoung Shim wrote:
> 
> On 8/6/2010 10:43 AM, Stephen Rothwell wrote:
> > Hi,
> >
> > On Fri, 06 Aug 2010 09:43:34 +0900 Kukjin Kim <[email-masked]>
> wrote:
> >> I know that Dmitry's 'Input: samsung-keypad...patch' which includes
> >> plat/keypad.h has been merged Linus' tree in this merge window.
> >> And Joonyoung's another patch which is in my tree needs to update it, but my
> >> tree is don't having it against Linus' 2.6.35.
> >>
> >> So happened conflict...how can/should I handle this...
> >> Should I rebase my tree against Linus' latest?
> >
> > Either rebase (worst), or just merge Linus' tree (better) into yours or
> > (best) merge what Dmitry merged into Linus' tree.  To do this last, you
> > need to merge commit d01d0756f75e7a5b4b43764ad45b83c4340f11d6 from
> Linus'
> > tree.  Doing this brings in the minimum amount of extra stuff to your
> > tree, but allows you to sort out the conflict.
> >
> 
> Kukjin,
> 
> If you rebase and need, i can send updated patches. It uses "ARM:
> SAMSUNG: Add helper to clone and set platform data" patch of Ben Dooks.
> 
> Thanks.

Ok...please send it in today.

I have a plan to send 'pull request' to Russell in this weekend or the beginning of next week.

Thanks.

Best regards,
Kgene.
--
Kukjin Kim <[email-masked]>, Senior Engineer,
SW Solution Development Team, Samsung Electronics Co., Ltd.